> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Approval Delegation

> Create a new approval delegation rule. Optionally specify a delegator_user_id to create on behalf of another user.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml post /v2/approval-delegations
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/approval-delegations:
    post:
      tags:
        - Approval Delegation API
      summary: Create Approval Delegation
      description: >-
        Create a new approval delegation rule. Optionally specify a
        delegator_user_id to create on behalf of another user.
      operationId: svrelay.publicv2.PublicAPIServiceV2.CreateApprovalDelegation
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/svflow.publicapi.CreateApprovalDelegationRequest
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/svflow.publicapi.CreateApprovalDelegationResponse
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svflow.publicapi.CreateApprovalDelegationRequest:
      type: object
      properties:
        delegatorUserId:
          type: string
          title: delegator_user_id
          description: >-
            The ID of the user who is delegating their approvals. When omitted,
            defaults to the authenticated user.
          nullable: true
          x-stainless-terraform-configurability: computed_optional
        delegates:
          type: array
          items:
            $ref: '#/components/schemas/svflow.pubapimodels.ApprovalDelegate'
          title: delegates
          description: The delegates who can approve on behalf of the delegator.
          x-stainless-terraform-configurability: required
        priority:
          type: integer
          title: priority
          format: int32
          description: >-
            The priority of the delegation rule (lower values are higher
            priority).
          x-stainless-terraform-configurability: optional
        description:
          type: string
          title: description
          description: A description of the delegation rule.
          x-stainless-terraform-configurability: optional
      title: CreateApprovalDelegationRequest
      required:
        - delegates
      additionalProperties: false
    svflow.publicapi.CreateApprovalDelegationResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/svflow.pubapimodels.ApprovalDelegation'
          title: data
          x-stainless-terraform-configurability: optional
      title: CreateApprovalDelegationResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svflow.pubapimodels.ApprovalDelegate:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/svflow.pubapimodels.ApprovalDelegateType'
          title: type
          description: The type of delegate (user or group).
          x-stainless-terraform-configurability: optional
        id:
          type: string
          title: id
          description: The ID of the delegate (user ID or group ID, depending on type).
          x-stainless-terraform-configurability: optional
      title: ApprovalDelegate
      additionalProperties: false
      description: A delegate who can approve on behalf of a delegator.
    svflow.pubapimodels.ApprovalDelegation:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the approval delegation.
          readOnly: true
          x-stainless-terraform-configurability: computed
        createdAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
          description: The timestamp when the delegation was created.
          readOnly: true
          x-stainless-terraform-configurability: computed
        delegatorUserId:
          type: string
          title: delegator_user_id
          description: The ID of the user who is delegating their approvals.
          x-stainless-terraform-configurability: optional
        delegates:
          type: array
          items:
            $ref: '#/components/schemas/svflow.pubapimodels.ApprovalDelegate'
          title: delegates
          description: The delegates who can approve on behalf of the delegator.
          x-stainless-terraform-configurability: optional
        priority:
          type: integer
          title: priority
          format: int32
          description: >-
            The priority of the delegation rule (lower values are higher
            priority).
          x-stainless-terraform-configurability: optional
        description:
          type: string
          title: description
          description: A description of the delegation rule.
          x-stainless-terraform-configurability: optional
      title: ApprovalDelegation
      additionalProperties: false
      description: >-
        An approval delegation rule that allows a user to delegate their
        approval responsibilities.
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    svflow.pubapimodels.ApprovalDelegateType:
      type: string
      title: ApprovalDelegateType
      enum:
        - APPROVAL_DELEGATE_TYPE_UNSPECIFIED
        - APPROVAL_DELEGATE_TYPE_USER
        - APPROVAL_DELEGATE_TYPE_GROUP
      description: The type of delegate for an approval delegation.
    google.protobuf.Timestamp:
      type: string
      format: date-time
      description: A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````